#!/usr/bin/perl

my @others=('/usr/bin/fanorona',
            '/usr/share/gnome/apps/Games/fanorona.desktop',
            '/usr/share/fanorona/pixmaps/fanorona_gnome_icon.png');

my $version=shift @ARGV;
my $release=shift @ARGV;
my $versiondir=shift @ARGV;

my @languages=@ARGV;

while (@ARGV) {
  shift @ARGV;
}

push @others, map {"/usr/share/locale/$_/LC_MESSAGES/fanorona.mo"}
  @languages;

while (<>) {
  s/VERSION/$version/;
  s/RELEASE/$release/;

  print $_;
}

my @docs1=map {"/usr/share/doc/$versiondir/$_"} ('COPYING','README.txt','todo.html');

my @_docs2=('docs.html');

opendir D, ".";
my @Dfiles=readdir D;
push @_docs2, grep /\.png$/, @Dfiles;
closedir D;

my @docs2=map {"/usr/share/fanorona/$_"} @_docs2;

my @docs=@docs1;
push @docs,@docs2;

my @allFiles=@docs;
push @allFiles,@others;

print map {"%attr(-,root,games) $_\n"} @others;
print map {"%doc %attr(-,root,games) $_\n"} @docs;
